From 0cbf45a61d02d341b026f9515c8a30ed6a5999d2 Mon Sep 17 00:00:00 2001
From: Christian Engwer <christi@dune-project.org>
Date: Mon, 21 Apr 2008 14:27:52 +0000
Subject: [PATCH] don't create autogen.sh... isn't needed anymore

[[Imported from SVN: r5167]]
---
 bin/duneproject | 119 ------------------------------------------------
 1 file changed, 119 deletions(-)

diff --git a/bin/duneproject b/bin/duneproject
index 1c154c80e..073a847e5 100755
--- a/bin/duneproject
+++ b/bin/duneproject
@@ -243,7 +243,6 @@ C_DELIM
 ## Create the parameters passed to DUNE_CHECK_ALL
 
 # save module list of dunemodules.inc
-set -x
 save_MODULES=$MODULES
 for name in $DEPENDENCIES; do
   mod="`fix_variable_name $name`"
@@ -306,124 +305,6 @@ AC_OUTPUT
 DUNE_SUMMARY_ALL
 C_DELIM
 
-################## AUTOGEN.SH ##################
-cat > "$PROJECT/autogen.sh" <<A_DELIM
-#!/bin/sh
-# $Id$
-
-# barf on errors
-set -e
-
-usage () {
-    echo "Usage: ./autogen.sh DUNE_COMMON_DIR [options]"
-    echo "  --ac=, --acversion=VERSION   use a specific VERSION of autoconf"
-    echo "  --am=, --amversion=VERSION   use a specific VERSION of automake"
-    echo "  -h,    --help                you already found this :-)"
-}
-
-for OPT in "\$@"; do
-    set +e
-    # stolen from configure...
-    # when no option is set, this returns an error code
-    arg=\`expr "x\$OPT" : 'x[^=]*=\(.*\)'\`
-    set -e
-
-    case "\$OPT" in
-	--ac=*|--acversion=*)
-			if test "x\$arg" = "x"; then
-				usage; 
-				exit 1;
-			fi
-			ACVERSION=\$arg
-			;;
-	--am=*|--amversion=*)
-			if test "x\$arg" = "x"; then
-				usage; 
-				exit 1;
-			fi
-			AMVERSION=\$arg
-			;;
-	-h|--help) usage ; exit 0 ;;
-	*)
-            if test -d "\$OPT/m4"; then
-              ACLOCAL_FLAGS="\$ACLOCAL_FLAGS -I \$OPT/m4"
-            fi
-            if test -d "\$OPT/am"; then
-              am_dir="\$OPT/am"
-            fi
-            if test -d "\$OPT/share/aclocal"; then
-              ACLOCAL_FLAGS="\$ACLOCAL_FLAGS -I \$OPT/share/aclocal"
-            fi
-            if test -d "\$OPT/share/dune-common/am"; then
-              am_dir="\$OPT/share/dune-common/am"
-            fi
-            PATH="\$PATH:\$OPT/bin"
-            ;;
-    esac
-done
-
-## report parameters
-if test "x\$ACVERSION" != "x"; then
-	echo "Forcing autoconf version «\$ACVERSION»"
-	if ! which autoconf\$ACVERSION > /dev/null; then
-		echo
-		echo "Error: Could not find autoconf\$ACVERSION"
-		echo "       Did you specify a wrong version?"
-		exit 1
-	fi
-fi
-if test "x\$AMVERSION" != "x"; then
-	echo "Forcing automake version «\$AMVERSION»"
-	if ! which automake\$AMVERSION > /dev/null; then
-		echo
-		echo "Error: Could not find automake\$AMVERSION"
-		echo "       Did you specify a wrong version?"
-		exit 1
-	fi
-fi
-
-
-## run autotools
-
-echo "--> libtoolize..."
-# this script won't rewrite the files if they already exist. This is a
-# PITA when you want to upgrade libtool, thus I'm setting --force
-libtoolize --force
-
-# prepare everything
-echo "--> aclocal..."
-aclocal\$AMVERSION \$ACLOCAL_FLAGS
-
-# applications should provide a config.h for now
-echo "--> autoheader..."
-autoheader\$ACVERSION
-
-# create a link to the dune-common am directory
-if [ -n "\$am_dir" ] && [ -d \$am_dir ]; then
-  echo "--> linking dune-common/am..."
-  rm -f am
-  ln -s \$am_dir am
-else
-  echo
-  echo "Error: Could not find dune-common/am!"
-  usage
-  exit 1
-fi
-
-# call automake/conf
-echo "--> automake..."
-automake\$AMVERSION --add-missing
-
-echo "--> autoconf..."
-autoconf\$ACVERSION
-
-## tell the user what to do next
-echo "Now run ./configure "
-
-A_DELIM
-
-chmod +x "$PROJECT/autogen.sh"
-
 ################## README ##################
 cat > "$PROJECT/README" <<R_DELIM
 Preparing the Sources
-- 
GitLab